> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return details about a search cluster

> Details include the JVM version, the OS, free space available, and so on



## OpenAPI

````yaml /api-reference/4.2/service-searchCluster.json get /searchCluster/{id}/systemInfo
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service searchCluster
servers:
  - url: /api/apollo/
security: []
tags:
  - name: searchCluster
paths:
  /searchCluster/{id}/systemInfo:
    get:
      tags:
        - 4.2 Search Cluster API
      summary: Return details about a search cluster
      description: Details include the JVM version, the OS, free space available, and so on
      operationId: getSystemInfo
      parameters:
        - name: id
          in: path
          description: The cluster ID
          required: true
          schema:
            type: string
        - name: nodeName
          in: query
          description: Return information only for the named node
          required: false
          schema:
            type: string
        - name: all
          in: query
          description: >-
            When true, system information for every node of the cluster is
            returned
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/SystemInfo'
components:
  schemas:
    SystemInfo:
      type: object
      properties:
        mode:
          type: string
          enum:
            - std
            - solrcloud
        baseUrl:
          type: string
        lucene:
          $ref: '#/components/schemas/Version'
        jvm:
          $ref: '#/components/schemas/JVMInfo'
        system:
          $ref: '#/components/schemas/HostInfo'
    Version:
      type: object
      properties:
        solr-spec-version:
          type: string
        lucene-spec-version:
          type: string
    JVMInfo:
      type: object
      properties:
        version:
          type: string
        name:
          type: string
        processors:
          type: integer
          format: int32
        memory:
          $ref: '#/components/schemas/JVMMemoryInfo'
    HostInfo:
      type: object
      properties:
        name:
          type: string
        version:
          type: string
        arch:
          type: string
        systemLoadAverage:
          type: number
          format: double
        committedVirtualMemorySize:
          type: integer
          format: int64
        freePhysicalMemorySize:
          type: integer
          format: int64
        freeSwapSpaceSize:
          type: integer
          format: int64
        processCpuTime:
          type: integer
          format: int64
        totalPhysicalMemorySize:
          type: integer
          format: int64
        totalSwapSpaceSize:
          type: integer
          format: int64
        openFileDescriptorCount:
          type: integer
          format: int64
        maxFileDescriptorCount:
          type: integer
          format: int64
        uname:
          type: string
        uptime:
          type: string
    JVMMemoryInfo:
      type: object
      properties:
        raw:
          $ref: '#/components/schemas/JVMRawMemoryInfo'
    JVMRawMemoryInfo:
      type: object
      properties:
        free:
          type: integer
          format: int64
        total:
          type: integer
          format: int64
        max:
          type: integer
          format: int64
        used:
          type: integer
          format: int64
        used%:
          type: number
          format: double

````